package models

import (
	"go-admin/common/models"
)

type LinePreOrderStatus struct {
	models.Model

	OrderId           int    `json:"orderId" gorm:"type:bigint;comment:主订单id"`
	OrderSn           string `json:"orderSn" gorm:"type:varchar(255);comment:主订单号"`
	AddPositionStatus int    `json:"addPositionStatus" gorm:"type:int;comment:加仓状态 0-无 1-已加仓"`
	ReduceStatus      int    `json:"hedgeStatus" gorm:"type:int;comment:减仓状态 0-无 1-已减仓"`
	models.ModelTime
	models.ControlBy
}

func (LinePreOrderStatus) TableName() string {
	return "line_pre_order_status"
}

func (e *LinePreOrderStatus) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LinePreOrderStatus) GetId() interface{} {
	return e.Id
}
